Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No
Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 11389
Description

Vector Properties dialog - Labels tab - minor problems:

1. the Preview area does not show the current font and color settings on entering the dialog. This is confusing as it will change if the font
dialog is canceled.

2. on entering the dialog, Buffer is the selected options panel, but is not indicated in the list. | believe that Font should be the selected one
and be so indicated.

3. when the color buttons for Font or Buffer are used, if the Select Color dialog is Canceled the current color for the item changes to
black.

4. on entry to the dialog, if the the Buffer labels? control is off, the Buffer size, Color, and Buffer size units controls are enabled. They
should be disabled. Toggling Buffer labels? on, then off sets the controls' state as expected.

5. the Buffer Transparency control has no effect. It should be disabled if the feature is not currently available. This control is disabled
initially, but is enabled after turning on label buffering.

6. How does the "Multiline labels?" control relate to buffering labels? It seems to me that this control should be placed somewhere else
related to labels generally.

Tested with Windows and Linux.

History

#1 - 2010-11-16 06:03 PM - Volker Fréhlich

#183 also mentioned, the label's orientation should be previewed.

#2 - 2011-01-14 02:07 PM - forestcomber -

Not sure if this is the place for my comment... Not disagreeing with this bug report. Want to comment that label buffer transparency would be an excellent
feature and hope difficuties with implementation does not lead to it being dropped. Thank-you for your work !

#3 - 2011-12-16 01:58 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2011-12-25 12:48 PM - Giovanni Manghi

2025-12-15 12




- Pull Request or Patch supplied set to No
- Status changed from Open to Feedback
- Assignee deleted (nobody -)

- Crashes QGIS or corrupts data set to No
- Affected QGIS version set to master

Feedback needed. The old symbology engine is obsolete and due to be dropped. In the new symbology tools/engine it seems to me that the above issues

are fixed or do not make sense. Voting to close the ticket.

#5 - 2012-01-28 03:08 PM - Giovanni Manghi
- Resolution set to worksforme

- Status changed from Feedback to Closed

Closing for lack of feedback. Reopen if necessary.
